Skip to navigation

List knowledge stores

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountstringRequired
Account name

Query parameters

qstringOptional
Search store name
statusstringOptional

Only these statuses (comma-separated: connecting, pending-acceptance, ready, error)

providerstringOptional

Only these providers (comma-separated: postgres, supabase, mysql, redis, neo4j, pinecone, qdrant)

modestringOptional

Only these modes (comma-separated: managed, external)

created_afterstringOptional
Only stores created at or after this RFC 3339 time
created_beforestringOptional
Only stores created before this RFC 3339 time
updated_afterstringOptional
Only stores updated at or after this RFC 3339 time
updated_beforestringOptional
Only stores updated before this RFC 3339 time
sortstringOptional

Sort: created (default), name, or updated

cursorstringOptional

Opaque next_cursor from the previous page of the same sort

limitstringOptional

Page size (default 50, max 100)

Response

OK
pageobjectOptional
storeslist of objectsOptional

Errors

400
Bad Request Error